-- MySQL dump 10.13  Distrib 5.1.37, for debian-linux-gnu (i486)
--
-- Host: 192.168.2.101    Database: togo
-- ------------------------------------------------------
-- Server version	5.1.37-1ubuntu5.4

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Alunos`
--

DROP TABLE IF EXISTS `Alunos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Alunos` (
  `aID` int(11) NOT NULL AUTO_INCREMENT,
  `aNome` varchar(40) NOT NULL,
  `aCPF` int(11) NOT NULL,
  PRIMARY KEY (`aID`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Alunos`
--

LOCK TABLES `Alunos` WRITE;
/*!40000 ALTER TABLE `Alunos` DISABLE KEYS */;
INSERT INTO `Alunos` VALUES (1,'togo',123),(2,'rwer',123456),(3,'Rafael Togo',123456),(4,'Anderson Pereira',1234567),(5,'TOGAO',123456),(6,'Rafael Togo1',123),(7,'Rafael Ossamu TogoBR',123456),(8,'Anderson da Silva PereiraBR',123456),(9,'aJoão',123);
/*!40000 ALTER TABLE `Alunos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Cidades`
--

DROP TABLE IF EXISTS `Cidades`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Cidades` (
  `ciID` int(11) NOT NULL AUTO_INCREMENT,
  `ciNome` varchar(40) NOT NULL,
  `ciUF` int(11) NOT NULL,
  PRIMARY KEY (`ciID`),
  KEY `new_fk_constraint` (`ciUF`),
  CONSTRAINT `new_fk_constraint` FOREIGN KEY (`ciUF`) REFERENCES `Estados` (`eID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Cidades`
--

LOCK TABLES `Cidades` WRITE;
/*!40000 ALTER TABLE `Cidades` DISABLE KEYS */;
INSERT INTO `Cidades` VALUES (1,'São José',1),(2,'Florianópolis',1),(3,'Aracaju',3),(4,'Santos',2),(5,'Campinas',2);
/*!40000 ALTER TABLE `Cidades` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Contatos`
--

DROP TABLE IF EXISTS `Contatos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Contatos` (
  `cID` int(11) NOT NULL AUTO_INCREMENT,
  `cNome` varchar(40) NOT NULL,
  `cCidade` int(11) NOT NULL,
  PRIMARY KEY (`cID`),
  KEY `new_fk_constraint2` (`cCidade`),
  CONSTRAINT `new_fk_constraint2` FOREIGN KEY (`cCidade`) REFERENCES `Cidades` (`ciID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Contatos`
--

LOCK TABLES `Contatos` WRITE;
/*!40000 ALTER TABLE `Contatos` DISABLE KEYS */;
INSERT INTO `Contatos` VALUES (1,'Togo',1),(2,'Anderson',3),(3,'Glaucio',5),(4,'Michel_s2_Paulo',4),(5,'togo',1),(6,'togo',1),(7,'togo',1),(8,'FAUSTAO!!!',4),(9,'SanDisk',3),(10,'ppppppppp',2);
/*!40000 ALTER TABLE `Contatos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Disciplina`
--

DROP TABLE IF EXISTS `Disciplina`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Disciplina` (
  `dID` int(11) NOT NULL AUTO_INCREMENT,
  `dNome` varchar(40) NOT NULL,
  PRIMARY KEY (`dID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Disciplina`
--

LOCK TABLES `Disciplina` WRITE;
/*!40000 ALTER TABLE `Disciplina` DISABLE KEYS */;
INSERT INTO `Disciplina` VALUES (1,'REDES'),(2,'Calculo I'),(3,'Sinais I'),(4,'Programação'),(5,'Gastronomia'),(6,'dPOO');
/*!40000 ALTER TABLE `Disciplina` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Estados`
--

DROP TABLE IF EXISTS `Estados`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Estados` (
  `eID` int(11) NOT NULL AUTO_INCREMENT,
  `eNome` varchar(40) NOT NULL,
  PRIMARY KEY (`eID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Estados`
--

LOCK TABLES `Estados` WRITE;
/*!40000 ALTER TABLE `Estados` DISABLE KEYS */;
INSERT INTO `Estados` VALUES (1,'Santa Catarina'),(2,'São Paulo'),(3,'Sergipe');
/*!40000 ALTER TABLE `Estados` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Frequencia`
--

DROP TABLE IF EXISTS `Frequencia`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Frequencia` (
  `fID` int(11) NOT NULL AUTO_INCREMENT,
  `fData` int(11) NOT NULL,
  `fMatricula` int(11) NOT NULL,
  `fFalta` int(11) NOT NULL,
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Frequencia`
--

LOCK TABLES `Frequencia` WRITE;
/*!40000 ALTER TABLE `Frequencia` DISABLE KEYS */;
/*!40000 ALTER TABLE `Frequencia` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Matricula`
--

DROP TABLE IF EXISTS `Matricula`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Matricula` (
  `mID` int(11) NOT NULL AUTO_INCREMENT,
  `mAluno` int(11) NOT NULL,
  `mTurma` int(11) NOT NULL,
  PRIMARY KEY (`mID`),
  KEY `fk_ma_al` (`mAluno`),
  KEY `mTurma_tID` (`mTurma`),
  CONSTRAINT `mTurma_tID` FOREIGN KEY (`mTurma`) REFERENCES `Turma` (`tID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_ma_al` FOREIGN KEY (`mAluno`) REFERENCES `Alunos` (`aID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Matricula`
--

LOCK TABLES `Matricula` WRITE;
/*!40000 ALTER TABLE `Matricula` DISABLE KEYS */;
INSERT INTO `Matricula` VALUES (3,1,8),(4,5,9),(5,4,9),(6,3,9),(7,2,9),(9,1,9),(10,1,9),(11,7,10),(12,8,10),(13,9,11),(14,9,10);
/*!40000 ALTER TABLE `Matricula` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Professor`
--

DROP TABLE IF EXISTS `Professor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Professor` (
  `pID` int(11) NOT NULL AUTO_INCREMENT,
  `pNome` varchar(40) NOT NULL,
  `pCPF` int(11) NOT NULL,
  PRIMARY KEY (`pID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Professor`
--

LOCK TABLES `Professor` WRITE;
/*!40000 ALTER TABLE `Professor` DISABLE KEYS */;
INSERT INTO `Professor` VALUES (1,'Eraldo',123456),(2,'Emerson',123456),(3,'Eraldo',1234567),(4,'Silviana',654321),(5,'Ana Maria Braga',123456),(6,'pJoão',123);
/*!40000 ALTER TABLE `Professor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Turma`
--

DROP TABLE IF EXISTS `Turma`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Turma` (
  `tID` int(11) NOT NULL AUTO_INCREMENT,
  `tDisciplina` int(11) DEFAULT NULL,
  `tProfessor` int(11) DEFAULT NULL,
  PRIMARY KEY (`tID`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Turma`
--

LOCK TABLES `Turma` WRITE;
/*!40000 ALTER TABLE `Turma` DISABLE KEYS */;
INSERT INTO `Turma` VALUES (1,1,1),(2,2070511,NULL),(3,2070411,NULL),(4,2070311,NULL),(5,2070211,NULL),(6,2070111,NULL),(7,2070611,NULL),(8,3,2),(9,1,4),(10,5,5),(11,6,6);
/*!40000 ALTER TABLE `Turma` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-12-16 10:56:04
